/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 * 
 * $Rev: 2571 $
 * Last modified by $Author: kobit $
 * $Date: 2011-03-23 00:45:45 +0100 (Wed, 23 Mar 2011) $
 */

package tigase.sys;

import tigase.xmpp.BareJID;
import tigase.xmpp.JID;

/**
 * Created: Apr 19, 2009 12:15:07 AM
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 2571 $
 */
public interface OnlineJidsReporter {

  //Set<String> getOnlineJids();

	boolean hasCompleteJidsInfo();

	/**
	 * Checks whether there is an online session for the given user BareJID.
	 * 
	 * @param jid
	 * @return
	 */
	boolean containsJid(BareJID jid);

	JID[] getConnectionIdsForJid(BareJID jid);

}
